Update fails because of /usr/lib/libmozjs-52.so.0


#1

When trying to update my Raspberry Pi 3 B+ via pacman -Syu, I get the following error:
error: failed to commit transaction (conflicting files) js52: /usr/lib/libmozjs-52.so.0 exists in filesystem Errors occurred, no packages were upgraded.
I’m running manjaro-arm 4.14.31-1-MANJARO-ARM and don’t know what caused this error, is it a conflicting package or something else?
Thanks in advance!


#2

Please search the forums before you start a new thread about a subject which has been written about so often already.


#3

I’m sorry, should have researched it more thoroughly, but it seems like a slightly different error, because I could only find posts about a conflict with /usr/lib/libmozjs-52.so, not /usr/lib/libmozjs-52.so.0. Still, renaming the file fixed it for me


#4

#5

This topic was automatically closed after 90 days. New replies are no longer allowed.